| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::ea_attributs Class Reference

the class ea_attributs manages the set of EA that can be associated to an inode More...

`#include <ea.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| ea_attributs (generic_file &f, const archive_version &edit)
| ea_attributs (const ea_attributs &ref)
bool | operator== (const ea_attributs &ref) const
void | dump (generic_file &f) const
void | add (const std::string &key, const std::string &value)
void | reset_read () const
bool | read (std::string &key, std::string &value) const
infinint | size () const
void | clear ()
bool | find (const std::string &key, std::string &found_value) const
bool | diff (const ea_attributs &other, const mask &filter) const
infinint | space_used () const
ea_attributs | operator+ (const ea_attributs &arg) const
| addition operator. More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the class ea_attributs manages the set of EA that can be associated to an inode

Definition at line 47 of file ea.hpp.

## Member Function Documentation

ea_attributs libdar::ea_attributs::operator+ | ( | const ea_attributs & | arg | ) | const

addition operator.

Parameters

  [in] | arg | ea_attributs to add to self

Returns
  a ea_attributs object containing all EA of the current object enriched and possibly overwritten by those of "arg".

Note
  this operator is not reflexive (or symetrical if you prefer) unlike it is in arithmetic. Here instead "a + b" is possibly not equal to "b + a"

The documentation for this class was generated from the following file:

- ea.hpp